Summary: The GNU Whois client
Name: jwhois
Version: 3.2.0
Release: 3tr
License: GPL 
Group: Network/Utilities
URL: http://www.gnu.org/software/jwhois
Source: ftp://ftp.gnu.org/gnu/jwhois/%{name}-%{version}.tar.gz
BuildRequires: gdbm-devel
Obsoletes: fwhois
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
JWHOIS is an Internet Whois client that queries hosts for information
according to RFC 954 - NICNAME/WHOIS. JWHOIS is configured via a
configuration file that contains information about all known Whois servers.
Upon execution, the host to query is selected based on the information
in the configuration file. 

The configuration file is highly customizable and makes heavy use of
regular expressions. 

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" \
./configure --prefix=%{_prefix} \
	--sysconfdir=/etc \
	--without-cache
make

%install

make prefix=${RPM_BUILD_ROOT}%{_prefix} \
     mandir=${RPM_BUILD_ROOT}%{_mandir} \
     sysconfdir=${RPM_BUILD_ROOT}/etc install-strip

install -d -m 755 ${RPM_BUILD_ROOT}/etc

install -m 644 example/jwhois.conf ${RPM_BUILD_ROOT}/etc

ln -s jwhois ${RPM_BUILD_ROOT}%{_prefix}/bin/whois
ln -s jwhois.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/whois.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
( [ -f /var/cache/jwhois/jwhois.db ] && \
	rm -f /var/cache/jwhois/jwhois.db ) || true;

%preun 
( [ -f /var/cache/jwhois/jwhois.db ] && \
	rm -f /var/cache/jwhois/jwhois.db ) || true;

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) /etc/jwhois.conf
%attr(0755,root,root) %{_prefix}/bin/jwhois
%{_mandir}/man1/jwhois.1*
%{_prefix}/share/locale/*/LC_MESSAGES/jwhois.mo

%{_prefix}/bin/whois
%{_mandir}/man1/whois.1*

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.2.0-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.2.0-2em
- Rebuilt against glibc 2.3.2.

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 3.2.0-1ct
- New upstream version: 3.2.0
- Huge .spec cleanups!

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 2.4.2-4dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jun  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- Disable caching, as it wasn't that useful anyway, had problems and gives us
  one less setxid binary in our filesystem.

* Thu Feb 22 2001 Oren Tirosh <oren@hishome.net>
- FHS path compliance

* Wed Jan 10 2001 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.2-1]
- src/lookup.c (find_cidr): Fix for big endian machines
- src/jwhois.c (main): Better handling of cache errors (Pl Lberg)
- example/jwhois.conf: Added .in, .nu (Kandra Nygrds), .hk (Patrick Liu),
  .as (Pl Lberg), .gov.uk (Michael Stevens), .at (Alexander Lehmann)
- src/lookup.c (find_cidr): Match n bits in an /n block instead
  of 32-n (Tom Hughes, Emil LAURENTIU)
- po/ru.po: Added (from Dmitry G. Mastrukov)

* Mon Feb 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-2]
- jwhois now runs as user nobody aswell as group nobody so that the
  cached database isn't owned by 'the first user to run jwhois', thus
  affecting their quota. (Thanks to Oren Tirosh <oren@hishome.net>)
- Oren Tirosh <oren@hishome.net> also informed me that since he was the
  first one to make a rpm for jwhois, it was unkind of me to rewrite and
  maintain the rpm for jwhois without as least leaving his rpm changelog
  entries. Sorry Oren, I can no longer locate the old rpms to replace
  your entries.

* Thu Jan 27 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-1]
- example/jwhois.conf: Added more CIDR blocks
  Changed registry for .no and added -NORID handles (from Pl Lberg)
- configure.in: Added generation of jwhois.spec
- Makefile.am (EXTRA_DIST): Added distribution of jwhois.spec
- jwhois.spec.in: Added (from Ryan Weaver)
- src/jwhois.c (make_connect): Output [host]\n -before- doing a
  resolver query (speeds up output so the user doesn't think it's hung)
- src/utils.c (fdread): Check return value from read correctly
- example/jwhois.conf: corrected \. to be \\.

* Mon Jan 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4-2]
- Made package relocatable.
- Including available locales now.
- Rewrote spec file.
- Made patch against source to include spec it distribution and sent it
  to the author.

